Subject: Re: Ring Detection

From: Matthew Stahl <mstahl!at!eyesopen.com>
Date: Mon, 29 Sep 2003 10:00:05 -0600

The following URL contains a number of references for (and a discussion about) SSSR methods (Section 12.7):

http://www.eyesopen.com/oechem/doc/cplusprog/node123.html

matt

---------- Forwarded message ----------
Date: Mon, 29 Sep 2003 08:53:54 -0400
From: Richard Gillilan <reg8!at!cornell.edu>
To: Geoff Hutchison <hutchisn!at!chem.northwestern.edu>
Cc: John McKelvey <jmmckel!at!attglobal.net>, chemistry!at!ccl.net
Subject: CCL:Ring detection

Do you know if any of these codes have published their method?
I have a paper somewhere (I think it was actually Journal of
Mathematical Chemistry) that gives a method, but also gives me the
impression that a fully-general algorithm is non-trivial task. I'll
try to dig it up. In my OrderFour code, Ryan Lilien and I simply
invented our own
tree-search method for doing this, but I have no proof of how
general it is ... certainly works on all the rings I have
encountered so far and also can find arbitrarily large rings.
Anyone is welcome to look at the code, it is C++. Just drop
me an email.

Richard

On Saturday, September 27, 2003, at 08:04 PM, Geoff Hutchison wrote:

>>>> Can anyone point me to a code [preferably fortran ,{I know}] for
>>>> determining rings and size for atoms, given a connectivity list?
>>    
>>
>>
>> I can't point you to a Fortran code for it, but I can point you to
>> several open source codes that do this:
>>
>> OpenBabel (C++): http://openbabel.sf.net/
>> JOELib (Java): http://joelib.sf.net/
>> CDK (Java): http://cdk.sf.net/
>>
>> There are undoubtedly other codes, but I'm the most familiar with
>> these three.
>>
>> Cheers,
>> -Geoff
>